<template>
  <b-container class="home-page-container d-flex flex-column">
    <the-header :headerProps="headerProps" />
    <main-container />
    <the-footer :footerProps="footerProps" />
  </b-container>
</template>

<script>
// @ is an alias to /src
import appConfig from "./../../Configs/app-config";
import TheHeader from "@/components/TheHeader";
import TheFooter from "@/components/TheFooter";
import MainContainer from "@/components/MainContainer";

export default {
  name: "Home",
  components: {
    TheHeader,
    MainContainer,
    TheFooter
  },

  data() {
    return {
      appProps: {
        title: appConfig.appSettings['app-title'],
        subTitle: appConfig.appSettings['app-subTitle'],
        description: appConfig.appSettings['app-description'],
        copyRightText: appConfig.appSettings['app-copyRightText']
      }
    };
  },

  computed: {
    headerProps: function() {
      return {
        title: this.appProps.title,
        subTitle: this.appProps.subTitle,
        description: this.appProps.description,
      };
    },

    footerProps: function() {
      return {
        copyRightText: this.appProps.copyRightText
      };
    }
  }
};
</script>

<style lang="scss">
.home-page-container
{
  height: 100vh;
}
</style>